import { main, prune } from '@hlink/core';
let [_n, _p, _command, optionsStr] = process.argv;
const unknownOptions = JSON.parse(optionsStr);
if (_command === 'prune') {
    const options = unknownOptions;
    prune(options, false).then((result) => {
        var _a;
        (_a = process.send) === null || _a === void 0 ? void 0 : _a.call(process, result);
    });
}
else if (_command === 'main') {
    const options = unknownOptions;
    main(options);
}
else {
    throw new Error('未知命令!');
}
